:root{
    --spacer: 1rem;
}

a{
    color: inherit;
    text-decoration: none;
}

/* Utils */

.mt-4 {
    margin-top: calc(var(--spacer) * 1);
}

/* Header */

.header-top{
    height: 2.77em;
    display: flex;
    justify-content: start;
    align-items: center;
    padding-left: 1rem;
    padding-right: 1rem;
}

.language{
    filter: greyscale(.8);
    -webkit-filter: grayscale(.8);
    opacity: .5
}
.language.active{
    filter: greyscale(0);
    -webkit-filter: grayscale(0);
    opacity: 1;
}

.header-bottom{
    display: grid;
    width: 100%;
    grid-template-columns: 1fr;
    margin-bottom: 0.5rem;
}

.header-bottom-left{
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.hh-logo{
    max-width: 345px;
}

.basket{
    display: none;
    height: 100%;
}

.search{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.search .search-input{
    border-color: #606060;
    border-style: solid;
    border-width: 1px;
    /* height: 2.778em; */
    padding-left: 5px;
    position: relative;
    max-width: 345px;
    min-width: 280px;
}

.menu-mobile{
    position: absolute;
    right: 0;
    top: 3rem;
}

@media (min-width: 576px) {
    .header-top{
        justify-content: end;
    }
    .header-bottom{
        display: grid;
        grid-template-columns: 2fr 1fr;
        margin: 0.5rem 0;
    }
    .basket{
        display: flex;
        flex-direction: column;
        align-items: end;
        justify-content: center;
        min-width:7em;
        gap: 0.5rem;
        /* margin-top: clamp(0rem, 4.5vw, 3rem); */
    }
    .menu-mobile{
        display: none;
    }
}

@media(min-width: 768px){
    .header-bottom{
        display: grid;
        grid-template-columns: 2fr 1fr;
    }
    .header-bottom-left{
        display: grid;
        width: 100%;
        grid-template-columns: 1fr 1fr;
        align-items: center;
    }
    .search{
        /* margin-top: clamp(0rem, 4.5vw, 3rem); */
    }
}

.slider-link{
    position: absolute;
    bottom: 40px;
    right: 72px;
    background-color:#008d58;
    background-position:left center;
    background-repeat:no-repeat;
    color:#ffffff;
    font-size:1.25rem;
    font-weight:200;
    padding: 0.5rem 1rem;
    text-transform:uppercase;
    text-decoration: none;
    border-radius: 10px;
    box-shadow: 5px 5px 15px -4px #000000;
    transition: all;
    transition-duration: 300ms;
}

.slider-link:hover {
    background-color: #05633f;
}


/* General */

a.disabled{
    pointer-events: none;
    opacity: 0.5;
}

